zlartv.f(3)

NAME
zlartv.f -

SYNOPSIS

  Functions/Subroutines
subroutine ZLARTV (N, X, INCX, Y, INCY, C, S, INCC)
ZLARTV

Function/Subroutine Documentation

  subroutine ZLARTV (INTEGERN, COMPLEX*16, dimension( * )X, INTEGERINCX, COMPLEX*16, dimension( * )Y, INTEGERINCY, DOUBLE PRECISION, dimension( * )C, COMPLEX*16, dimension( * )S, INTEGERINCC)

ZLARTV

Purpose:

     ZLARTV applies a vector of complex plane rotations with real cosines
     to elements of the complex vectors x and y. For i = 1,2,...,n
        ( x(i) ) := (        c(i)   s(i) ) ( x(i) )
        ( y(i) )    ( -conjg(s(i))  c(i) ) ( y(i) )

Parameters:
    N

              N is INTEGER
              The number of plane rotations to be applied.

    X

              X is COMPLEX*16 array, dimension (1+(N-1)*INCX)
              The vector x.

    INCX

              INCX is INTEGER
              The increment between elements of X. INCX > 0.

    Y

              Y is COMPLEX*16 array, dimension (1+(N-1)*INCY)
              The vector y.

    INCY

              INCY is INTEGER
              The increment between elements of Y. INCY > 0.

    C

              C is DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
              The cosines of the plane rotations.

    S

              S is COMPLEX*16 array, dimension (1+(N-1)*INCC)
              The sines of the plane rotations.

    INCC

              INCC is INTEGER
              The increment between elements of C and S. INCC > 0.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 108 of file zlartv.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.